%define gettext_package gnome-panel-2.0

%define glib2_version 2.0.0
%define gtk2_version 2.0.3-3
%define libgnomeui_version 2.0.1
%define gnome_desktop_version 2.0.3
%define libwnck_version 0.14
%define libbonobo_version 2.0.0
%define libbonoboui_version 2.0.0
%define gnome_vfs2_version 2.0.0
%define bonobo_activation_version 1.0.0

%define system_tray_applet_version 0.11

Summary: GNOME panel
Name: gnome-panel
Version: 2.0.6
Release: 9
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-panel/%{name}-%{version}.tar.bz2
Source2: redhat-panel-per-panel-config.schemas
Source3: redhat-panel-per-panel-config-laptop.schemas
Source4: system-tray-applet-%{system_tray_applet_version}.tar.gz
Source5: gnome-panel-2.0.6-extrapo.tar.gz
License: GPL 
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Requires: gnome-desktop >= %{gnome_desktop_version}
Prereq: /bin/awk, /bin/cat, /bin/ln, /bin/rm

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: Xft
BuildRequires: fontconfig

Patch0: gnome-panel-2.0.2.90-enhanced-errors.patch
## http://bugzilla.gnome.org/show_bug.cgi?id=85723
Patch1: gnome-panel-2.0.0-clock-addons2.patch
Patch2: gnome-panel-2.0.2.90-pager-rows.patch
Patch3: gnome-panel-2.0.2.90-clock-seconds.patch
Patch4: gnome-panel-2.0.3-default-menu-flags.patch
Patch5: gnome-panel-2.0.3-remove-screenshot-menuitem.patch
Patch6: gnome-panel-2.0.6-menu_fixup.patch
Patch7: gnome-panel-2.0.6-memleaks-and-clock-format.patch
Patch8: gnome-panel-2.0.6-edit-launchers.patch
Patch9: gnome-panel-2.0.6-onlyingnome.patch
# Only one screenshot at a time, #71432, bugzilla.gnome.org #91924
Patch10: gnome-panel-2.0.6-singlesshot.patch

%description

The GNOME panel provides the window list, workspace switcher, menus, and other 
features for the GNOME desktop.

%prep
%setup -q -a 4

cp -f %{SOURCE2} gnome-panel/panel-per-panel-config.schemas
# paranoia in case it decides to rebuild
cp -f %{SOURCE2} gnome-panel/panel-per-panel-config.schemas.in

(cd po && tar xzvf %{SOURCE5} )

%patch0 -p1 -b .enhanced-errors
%patch1 -p0 -b .clock-addons
%patch2 -p1 -b .pager-rows
%patch3 -p1 -b .clock-seconds
%patch4 -p1 -b .default-menu-flags
%patch5 -p1 -b .remove-screenshot-menuitem
%patch6 -p1 -b .menu_fixup
%patch7 -p1 -b .memleaks-and-clock-format
%patch8 -p1 -b .edit-launchers
%patch9 -p1 -b .onlyingnome
%patch10 -p1 -b .singlesshot

## replace foot menu with redhat-applications.png
perl -pi -e 's/gnome-logo-icon-transparent/redhat-main-menu/g' gnome-panel/menu.c gnome-panel/foobar-widget.c gnome-panel/menu-util.c

## get rid of GTK_WIN_POS_MOUSE (filed a bug upstream also, but don't remember number)
POS_MOUSE_FILES=`find -name "*.[hc]" | xargs grep -l GTK_WIN_POS_MOUSE`
echo "Removing GTK_WIN_POS_MOUSE from $POS_MOUSE_FILES"
perl -pi -e 's/GTK_WIN_POS_MOUSE/GTK_WIN_POS_NONE/g' $POS_MOUSE_FILES

%build

%configure
make

(cd system-tray-applet-%{system_tray_applet_version}; \
%configure; \
make)

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# install alternate laptop panel schema
mv $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-per-panel-config-nolaptop.schemas
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-per-panel-config-laptop.schemas

(cd system-tray-applet-%{system_tray_applet_version} ; \
%makeinstall)

## blow away stuff we don't want
/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rmdir --ignore-fail-on-non-empty $RPM_BUILD_ROOT/var
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libpanel-applet-2.a
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libpanel-applet-2.la
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libgen_util_applet-2.a
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libgen_util_applet-2.la

%find_lang %{gettext_package}
grep -q '/usr/share/locale' %{gettext_package}.lang || exit 1

%clean
rm -rf $RPM_BUILD_ROOT

%post
apm=false
if [ -f /proc/apm ]; then
  mins=`cat /proc/apm|awk '{ print $8 }'`
  if [ "$mins" != "-1" ]; then
    apm=true
  fi
fi

if [ "$apm" = "false" ]; then
  ln -sf %{_sysconfdir}/gconf/schemas/panel-per-panel-config-nolaptop.schemas %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
else
  ln -sf %{_sysconfdir}/gconf/schemas/panel-per-panel-config-laptop.schemas %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
# this spits a warning right now, needs fixing in gconf
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel
SCHEMAS="panel-global-config.schemas panel-per-panel-config.schemas mailcheck.schemas pager.schemas tasklist.schemas clock.schemas fish.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
/sbin/ldconfig

%postun -p /sbin/ldconfig
if [ "$1" = "0" ]; then
  rm -f ${_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
fi
  
%files -f %{gettext_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/gnome-panelrc
%{_datadir}/control-center-2.0
# doesn't contain .desktop files anymore, apparently
#%{_datadir}/applications
%{_datadir}/idl
%{_datadir}/gnome-2.0
%{_datadir}/gnome-panel
%{_datadir}/gen_util
%{_datadir}/gtk-doc
%{_datadir}/omf
%{_datadir}/man/man*/*
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo
%{_libdir}/*.so.*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/sound

# theoretically a devel package, but just doesn't seem worth it
%{_libdir}/pkgconfig/*
%{_includedir}/panel-2.0
%{_libdir}/*.so

# system tray applet stuff
%{_libdir}/system-tray-applet

%changelog
* Wed Aug 28 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with "hold down print screen" (71432)

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- panel-properties OnlyShowIn=GNOME;
- somehow the po file got screwed up.  Works now
- update po files

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- fix from #71762 for clock applet popdown key
- no WIN_POS_MOUSE fixes #72167
- fix for #72540 from George

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- system tray applet 0.11 with a small memleak fix and a couple translations

* Thu Aug 15 2002 Jonathan Blandford <jrb@redhat.com>
- menu tweaks

* Wed Aug 14 2002 Tim Powers <timp@redhat.com>
- bump release

* Wed Aug 14 2002 Preston Brown <pbrown@redhat.com>
- put battery applet on panel for laptops (#67296)

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.6 final from gnome 2.0.1
- remove gnome-panel-screenshot patch now upstream

* Thu Aug  8 2002 Jonathan Blandford <jrb@redhat.com>
- new system-tray-applet version
- Fix gnome-panel-screenshot

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.4
- replace gnome-logo-icon-transparent.png with redhat-main-menu.png
  for the foot menu

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- fix desktop (logout/lock) menu item location
  in Alt+F1 and in new menu applets
- remove Screenshot... menu item

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- move around default applets, remove some of them
- system tray 0.9
- change default menu flags
- blow unpackaged files out of build root

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3
- own libexecdir stuff

* Thu Jul 25 2002 Havoc Pennington <hp@redhat.com>
- new system tray that's prettier and doesn't clip the icon

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- system tray 0.7 that doesn't crash on startup
- get Mozilla desktop file right so we get web browser launcher

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- system tray 0.6 with server file fixed (work dammit)

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- tweak applet positions but I think it's just broken
- system tray 0.5 moved back to libdir not libexecdir

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- remove ltmain.sh hack
- new system-tray-applet that works

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- put office suite stuff on the panel

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2.90 cvs snap

* Wed Jul 10 2002 Havoc Pennington <hp@redhat.com>
- update the clock patch to be a little smarter in a couple ways

* Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem where system tray applet was being looked for in /unst
- Fix a crash in the system tray applet

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix typo in the pt_BR translation that was causing GConf problems

* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- add the system tray applet
- add system tray applet by default
- add more launcher by default

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Havoc Pennington <hp@redhat.com>
- use correct gettext package name, and add check for missing translations

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- add the calendar and configuration patch 

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- add control center desktop file to file list
- add gnome-panelrc to file list
- try fixing panel size (blind, no text box at home)

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- updates to default configuration

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- fix schemas installation

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- unset old panel schemas when installing new ones
- put in a broken panel config to see errors about
- add a patch to give some decent error messages about what's wrong
  with the default panel config

* Sun Jun 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun Jun  9 2002 Havoc Pennington <hp@redhat.com>
- don't provide/obsolete gnome-core

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.24
- ldconfig

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.23

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22
- provide gnome-core
- add a bunch of extra build requires so build system 
  won't get confused

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.19

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- add the keep-libtool-from-relinking hack so 
  we get the gen util applet

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- obsoletes gnome-core-devel
- include libdir/*.so

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- get libpanel-applet in the package

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


